<div class="row">
  <div class="col-sm-6 col-md-8 col-lg-9">
    <h1>Over deze applicatie</h1>
    <p>
      Deze applicatie is gemaakt in het kader van het vak 'Clientside web frameworks' van Avans Hogeschool
      Breda.
    </p>
    <h3>Musical Lijst</h3>
    <p>
      Op de website kan een lijst met musicals worden bijgehouden. Hierbij kunnen musicals worden toegevoegd,
      gewijzigd en verwijderd. Ook kunnen locaties en medebezoekers worden toegevoegd.
    </p>
  </div>
  <div class="col-sm-6 col-md-4 col-lg-3">
    <div class="card">
      <div class="d-flex justify-content-center align-items-center">
        <img src="assets/images/foto.jpeg" class="card-img-top rounded-circle border profile-pic" alt="..." />
      </div>
      <div class="card-body">
        <h5 class="card-title">Tessa Numan</h5>
        <p class="card-text">
          Studentnummer: 2099235
        </p>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <h3>User Stories</h3>
    <p>De applicatie voldoet aan de volgende eisen.</p>
    <i>Inloggen</i>
    <p>
      Als gebruiker wil ik kunnen inloggen.
      <br />Als gebruiker wil ik mijn gegevens aan kunnen passen.
    </p>
    <i>Musical</i>
    <p>
      Als gebruiker wil ik een lijst kunnen opvragen met alle ingevoerde musicals. <br />Als gebruiker wil ik
      de details van een musical kunnen inzien. <br />Als gebruiker wil ik de details van een musical kunnen
      wijzigen. <br />Als gebruiker wil ik een musical kunnen verwijderen. <br />Als gebruiker wil ik een
      musical kunnen toevoegen.
    </p>
    <i>Locatie</i>
    <p>
      Als gebruiker wil ik een locatie kunnen toevoegen.
      <br />Als gebruiker wil ik een lijst kunnen opvragen met alle ingevoerde locaties. <br />Als gebruiker
      wil ik de details van een locatie kunnen inzien. <br />Als gebruiker wil ik de details van een locatie
      kunnen wijzigen. <br />Als gebruiker wil ik een locatie kunnen verwijderen.
    </p>
    <i>Medebezoeker</i>
    <p>
      Als gebruiker wil ik een medebezoeker kunnen toevoegen.
      <br />Als gebruiker wil ik een lijst kunnen opvragen met alle ingevoerde medebezoekers. <br />Als
      gebruiker wil ik de details van een medebezoeker kunnen inzien. <br />Als gebruiker wil ik de details
      van een medebezoeker kunnen wijzigen. <br />Als gebruiker wil ik een medebezoeker kunnen verwijderen.
    </p>
  </div>
</div>

<h3>Entiteiten</h3>
<div class="row">
  <div class="col-sm-12 col-md-2">
    <p>Visit</p>
    <ul>
      <li>musical: musical</li>
      <li>id: number</li>
      <li>date: date</li>
      <li>rating: number</li>
      <li>chair: string</li>
      <li>note: string</li>
      <li>location: location</li>
      <li>covisitor: [covisiter]</li>
      <li>isWatched: boolean</li>
      <li>dvd: boolean</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-2">
    <p>Musical</p>
    <ul>
      <li>naam: string</li>
      <li>id: number</li>
      <li>note: string</li>
      <li>picture: string</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-2">
    <p>Location</p>
    <ul>
      <li>naam: string</li>
      <li>id: number</li>
      <li>adress: string</li>
      <li>phone: string</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-2">
    <p>Covisitor</p>
    <ul>
      <li>naam: string</li>
      <li>id: number</li>
      <li>birthdate: date</li>
      <li>adress: string</li>
      <li>phone: string</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-2">
    <p>User</p>
    <ul>
      <li>username: string</li>
      <li>id: number</li>
      <li>password: string</li>
      <li>musicals: [musical]</li>
    </ul>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <h3>Use Cases</h3>
    <p>De applicatie biedt de volgende functionaliteit.</p>
    <div *ngFor="let UC of useCases">
      <app-usecase [useCase]="UC"></app-usecase>
    </div>
  </div>
</div>
